Package net.shibboleth.idp.attribute.impl

# Enum Class ComputedPairwiseIdStore.Encoding

java.lang.Object
java.lang.Enum<ComputedPairwiseIdStore.Encoding>
net.shibboleth.idp.attribute.impl.ComputedPairwiseIdStore.Encoding

All Implemented Interfaces:
  `Serializable`, `Comparable<ComputedPairwiseIdStore.Encoding>`, `Constable`

Enclosing class:
  ComputedPairwiseIdStore

public static enum ComputedPairwiseIdStore.Encoding extends Enum<ComputedPairwiseIdStore.Encoding>
Post-digest encoding types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASE32`
Use Base32 encoding.
`BASE64`
Use Base64 encoding.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Encoding()`

## Method Summary

Modifier and Type
Method
Description
`static ComputedPairwiseIdStore.Encoding`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ComputedPairwiseIdStore.Encoding[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASE64

public static final ComputedPairwiseIdStore.Encoding BASE64
Use Base64 encoding.

### BASE32

public static final ComputedPairwiseIdStore.Encoding BASE32
Use Base32 encoding.

## Constructor Details

### Encoding

private Encoding()

## Method Details

### values

public static ComputedPairwiseIdStore.Encoding[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ComputedPairwiseIdStore.Encoding valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null